package com.ghy.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 *  七牛云配置
 * @author clunt
 */
@Component
@ConfigurationProperties(prefix = "qiniu")
public class QiniuConfig {

    private static String accessKey;

    private static String secretKey;

    private static String bucketName;

    private static String mediaUrl;

    public static String getAccessKey() {
        return accessKey;
    }

    public static void setAccessKey(String accessKey) {
        QiniuConfig.accessKey = accessKey;
    }

    public static String getSecretKey() {
        return secretKey;
    }

    public static void setSecretKey(String secretKey) {
        QiniuConfig.secretKey = secretKey;
    }

    public static String getBucketName() {
        return bucketName;
    }

    public static void setBucketName(String bucketName) {
        QiniuConfig.bucketName = bucketName;
    }

    public static String getMediaUrl() {
        return mediaUrl;
    }

    public static void setMediaUrl(String mediaUrl) {
        QiniuConfig.mediaUrl = mediaUrl;
    }
}
